
	*, html, body		{box-sizing:border-box; outline:0;}
	html, body			{padding:0; margin:0; min-height:100%; min-height:100vh;
						  font-family:'Roboto','Helvetica Neue',Helvetica, Arial, sans-serif; font-size:12pt;
						  overflow-x:hidden; overflow-y:visible;
						 -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale;	}
	
	@media all and (max-width:1020px) {
		html, body		{font-size:12pt;}
	}

	@-moz-document url-prefix() {
	    html,body		{overflow-y: -moz-scrollbars-none;}
	}	

	.no-scrollbars					  {-ms-overflow-style: none; scrollbar-width: none; overflow:-moz-scrollbars-none;}
	.no-scrollbars::-webkit-scrollbar {display: none;}

	::target-text {
	  background-color: #fede00;
	}


/* --------------------------------------------------------------------------------- */
	a,img				{display:inline-block;}
	a.reset				{text-decoration:none; color:inherit;}
	a.icon-link			{text-decoration:none; opacity:0.4; color:inherit;}
	a.icon-link:hover	{opacity:1;}

	hr.dotted			{height:1px; background-color:transparent; border:none; border-top:1px dotted #888;}
	hr.light-gray		{height:1px; background-color:transparent; border:none; border-top:1px solid #888;}

	button				{font-family:'Roboto','Helvetica Neue',Helvetica, Arial, sans-serif; font-size:12pt;}


/* --------------------------------------------------------------------------------- */
	.color-red			{color:#b90000;}
	.color-green		{color:#4caf50;}
	.color-yellow		{color:#fede00;}
	.color-blue			{color:#0077dd;}
	.color-orange		{color:#ff6600;}
	.color-warning		{color:#ff9900;}
	.color-gray			{color:#999999;}

	.bkg-red			{background-color:#b90000; color:#fff;}
	.bkg-green			{background-color:#00b900; color:#fff;}
	.bkg-yellow			{background-color:#fede00; color:#000;}
	.bkg-blue			{background-color:#0077dd; color:#fff;}
	.bkg-orange			{background-color:#ff6600; color:#fff;}
	.bkg-warning		{background-color:#ff9900; color:#fff;}
	.bkg-gray			{background-color:#999999; color:#fff;}
	.bkg-page			{background-color:var(--page-bkg); color:var(--page-text);}
	.bkg-lightgray		{background-color:#e8e8e8; color:#000;}

	.fdbk:hover .color-red,
	.fdbk:hover .color-green,
	.fdbk:hover .color-yellow,
	.fdbk:hover .color-blue,
	.fdbk:hover .color-orange,
	.fdbk:hover .color-warning,
	.fdbk:hover .color-gray	{color:inherit;}

/* --------------------------------------------------------------------------------- */
	._					{display:none;}
	.hidden				{display:none;}
	.force-hidden		{display:none !important;}
	.invisible			{visibility: hidden;}
	.transparent		{opacity:0;}

	.fill				{width:100%; min-width:100%; min-height:100%; overflow-y:visible;}
	.fill-w				{width:100%; min-width:100%;}
	.fill-h				{min-height:100%; overflow-y:visible;}

	.scroll-v			{overflow-x:hidden; overflow-y:scroll;}
	
	.float-left 		{float:left;}
	.float-right		{float:right;}

	.dock-bottom		{position:absolute; left:0px; width:100%; bottom:0.5vh;}

	.fdbk				{cursor:pointer; }
	.find-pointer		{cursor:help !important;}
	.draggable			{cursor:move !important;}

	.no-click			{pointer-events:none;}
	form.not-editable,
	.not-editable form	{pointer-events:none;}

	.no-wrap			{white-space:nowrap; text-wrap:avoid;}
	.word-break			{word-break:break-word;}
	.wrap-all			{word-break:break-all;}
	.ellipsis			{text-overflow:ellipsis; white-space: nowrap; overflow: hidden;}


	 @media all and (max-width:600px) {
		.wrap-words-in-mobile	{word-break:break-word;}
		.wrap-all-in-mobile		{word-break:break-all;}
	 }

	.no-scrollbars					  {-ms-overflow-style: none; scrollbar-width: none; overflow:-moz-scrollbars-none;}
	.no-scrollbars::-webkit-scrollbar {display: none;}


/* --------------------------------------------------------------------------------- */
	.font-base			{font-family:'Roboto','Helvetica Neue',Helvetica, Arial, sans-serif; font-size:12pt;}
	 @media all and (max-width:1020px) {
	 	.font-base		{font-size:10pt;}
	 }

	.font-huge			{font-size:3.2em; font-size:3.2rem;}
	.font-bigger		{font-size:2.8em; font-size:2.8rem;}
	.font-big			{font-size:2.5em; font-size:2.5rem;}
	.font-double		{font-size:2.1em; font-size:2.1rem; padding-bottom:5px;}
	.font-title			{font-size:1.7em; font-size:1.7rem; padding-bottom:5px;}
	.font-high			{font-size:1.5em; font-size:1.5rem;}
	.font-hdr			{font-size:1.25em; font-size:1.25rem;}
	.font-text			{font-size:1em; font-size:1rem;}
	.font-little		{font-size:0.9em; font-size:0.9rem;}
	.font-small			{font-size:0.85em; font-size:0.85rem;}
	.font-smaller		{font-size:0.80em; font-size:0.80rem;}
	.font-tiny			{font-size:0.70em; font-size:0.70rem;}
	.font-tinier		{font-size:0.65em; font-size:0.65rem;}
	.font-tinier2		{font-size:0.62em; font-size:0.62rem;}

	.font-compact1		{letter-spacing:-1px}
	.font-compact2		{letter-spacing:-2px}
	
	@media (max-width:1200px), (max-height:800px) {
		.font-huge		{font-size:2.70em; font-size:2.70rem;}
		.font-bigger	{font-size:2.40em; font-size:2.40rem;}
		.font-big		{font-size:2.20em; font-size:2.20rem;}
		.font-double	{font-size:1.85em; font-size:1.85rem; padding-bottom:4px;}
		.font-title		{font-size:1.50em; font-size:1.50rem; padding-bottom:4px;}
		.font-high		{font-size:1.35em; font-size:1.35rem;}
		.font-hdr		{font-size:1.15em; font-size:1.15rem;}
		.font-text		{font-size:0.90em; font-size:0.90rem;}
		.font-little	{font-size:0.85em; font-size:0.85rem;}
		.font-small		{font-size:0.80em; font-size:0.80rem;}
		.font-smaller	{font-size:0.73em; font-size:0.73rem;}
		.font-tiny		{font-size:0.65em; font-size:0.65rem;}
		.font-tinier	{font-size:0.55em; font-size:0.55rem;}
		.font-tinier2	{font-size:0.50em; font-size:0.50rem;}

		.font-compact1	{letter-spacing: 0px}
		.font-compact2	{letter-spacing:-1px}
	}

	.font-bold			{font-weight:700;}
	.font-normal		{font-weight:300;}

	.total-center		{position:absolute; left:50%; top:50%; transform:translate(-50%, -50%); }
	.text-center		{text-align:center;}
	.text-left			{text-align:left;}
	.text-right			{text-align:right;}
	.text-upper			{text-transform: uppercase;}
	.auto-center		{margin:0 auto;}
	
	.text-discret		{opacity:0.7}
	.text-discret:hover	{opacity:1}

	.plain-text			{white-space:pre-line;}

	
/* --------------------------------------------------------------------------------- */
	.absolute			{position:absolute;}
	.relative			{position:relative;}

	@media all and (min-width:501px) {
		.relative-in-desktop	{position:relative;}
	}
	
	.block				{display:block;}
	.inline				{display:inline-block;}

	.flex				{display:flex;}
	.flex-wrap			{flex-wrap:wrap; justify-items:stretch;}
	.flex-grow			{flex-grow:1;}
	.flex-gap-10		{column-gap:10px; row-gap:10px;}
	.flex-gap-20		{column-gap:20px; row-gap:20px;}
	.flex-gap-30		{column-gap:30px; row-gap:30px;}
	.flex-gap-50		{column-gap:50px; row-gap:50px;}

	.flex-vertical		  {flex-direction:column;}
	.flex-vertical-center {align-items:center;}

	.flex-distribute>*		{width:100%; flex-grow:1; flex-shrink:1; flex-basis:100%; }
	@media all and (max-width:500px) {
		.flex-distribute,
		.flex-vertical-in-mobile		{flex-direction:column;}
		.flex-vertical-in-mobile>*		{width:100%}
	}


	.clearfix 			{}	
	.clearfix:after 	{clear: both; content: "."; display: block; font-size: 0pt; height: 0pt; line-height: 0; visibility: hidden;}
	

/* --------------------------------------------------------------------------------- */
	.lst-reset			{list-style:none; margin:0; padding:0}
	.lst-reset>li		{list-style:none; margin:0;}


/* --------------------------------------------------------------------------------- */
	.drop-shadow		{box-shadow:rgba(20, 20, 20, 0.12) 0rem 0.25rem 0.375rem -0.0625rem, rgba(20, 20, 20, 0.07) 0rem 0.125rem 0.25rem -0.0625rem}


/* --------------------------------------------------------------------------------- */
	.rotate-90			{transform:rotate(  90deg);}
	.rotate90			{transform:rotate( -90deg);}
	.rotate180			{transform:rotate(-180deg);}
	.rotate270			{transform:rotate(-270deg);}


/* --------------------------------------------------------------------------------- */
	.anim-acelerated {-webkit-transform: translateX(0%) translateZ(0);}
	
	.anim-changes	 {-webkit-transition:all 200ms ease-out;
					  -moz-transition: 	 all 200ms ease;
					  -o-transition: 	 all 200ms ease;
					   transition: 		 all 200ms ease;
					 }


/* --------------------------------------------------------------------------------- */
	.shake-anim		{animation: shake 0.82s cubic-bezier(.36,.07,.19,.97) both;}

	@keyframes shake {
						10%, 90%	  {margin-left:-1px;}
						20%, 80%	  {margin-left: 2px;}
						30%, 50%, 70% {margin-left:-4px;}
						40%, 60%	  {margin-left: 4px;}
	}


/* --------------------------------------------------------------------------------- */
	.print-only,
	.print-label			{display:none;}
	
@media print {
	.no-print				{display:none;}
	.flat-print				{margin:0; padding:0; background:none; border:none; overflow:visible; width:100%;}
	
	body					{overflow:visible;}
	body::-webkit-scrollbar {display: none;}
	
	.print-only,
	.print-label			{display:block;}
}


/* --------------------------------------------------------------------------------- */
	.white-bkg				{background-color:#fff; color:#000;}
	.green-bkg				{background-color:#0a0; color:#fff;}
	.red-bkg				{background-color:#a00; color:#fff;}

	.red-color				{color:#b90000;}
	.white-color			{color:#fff;}
	.green-color			{color:#00b900;}
	.gray-color				{color:#ccc;}
	.gray-dark-color		{color:#888;}
	.blue-color				{color:#0099ff;}